Skip to main content

Get Product Performance

GET 

/v1/products/:id/performance

Read this product’s performance using the product ID and optional date, channel, and breakdown filters.

Requires salesPerformance.read.

Request and response fields at a glance
  • Path parameters: id (integer, required).
  • Query parameters: startDate (string), endDate (string), excludeSaleChannelIds (array), performanceBreakdown (string), page (integer), limit (integer), productTiers (array), categories (array).
  • 200 response (application/json): listingsPerformance (array, required), productPerformance (object, required), productTotalRevenue (number, required), productTotalUnitsSold (number, required), productTotalOrderCount (number, required), aov (number, required), product (object, required), trafficTrends (array), inventoryTrends (array), pricingImpact (array), ratingTrends (array), listings (array).

Request​